Gtk2::RecentChooserMenu(3)

NAME
Gtk2::RecentChooserMenu

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::MenuShell
                           +----Gtk2::Menu
                                +----Gtk2::RecentChooserMenu

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::RecentChooser
  Gtk2::Activatable

METHODS

  widget = Gtk2::RecentChooserMenu->new

  widget = Gtk2::RecentChooserMenu->new_for_manager ($manager)

•   $manager (Gtk2::RecentManager)

  boolean = $menu->get_show_numbers

  $menu->set_show_numbers ($show_numbers)

•   $show_numbers (boolean)

PROPERTIES

'show-numbers' (boolean : default false : readable / writable / private)
    Whether the items should be displayed with a number

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::MenuShell, Gtk2::Menu

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.